Bug 221418 - lx5000 driver gets stuck in write loop
lx5000 driver gets stuck in write loop
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
12
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
bzcl34nup
: Reopened
Depends On: 221194
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-04 11:01 EST by Tim Waugh
Modified: 2010-12-05 02:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:17:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2007-01-04 11:01:19 EST
+++ This bug was initially created as a clone of Bug #221194 +++

Description of problem:

Printing to a Lexmark inkjet printer under Fedora Core 6, I experience recurring
memory leaks with foomatic-rip.

A typical example: I am printing a PDF document in Firefox. The print job
terminates part way through.foomatic-rip rapidly starts eating up all available
memory. If I don't intervene in time, this is what I see in top after several
minutes:

[...]
2692 lp        18   0 1373m 818m   64 D  5.1 81.1   0:28.86 foomatic-rip
[...]

(This on a machine with 1GB RAM, 1GB swap.) If I kill gs or foomatic-rip in
time, my system returns to normal, otherwise it becomes completely unresponsive
and requires a hard reset.

I have seen this behavior printing from the above-mentioned Firefox as well as
evince. 

Version-Release number of selected component (if applicable):

foomatic-3.0.2-39.1.fc6. The printer is model Lexmark Z51 attached via USB. CUPS
is configured to use the lx5000 driver.

How reproducible:

Everytime I print from Firefox.

Steps to Reproduce:
1. print a file from Firefox
2. open "top" in a terminal window
3. observe foomatic-rip engorge itself on all available memory
  
Actual results:

If not caught in time, the system chokes.

Additional information:

I also experienced this problem under FC5.

-- Additional comment from twaugh@redhat.com on 2007-01-03 11:41 EST --
Can you explain 'The print job terminates part way through' in more detail?  Is
the job cancelled by the user, or does it fail for some reason, and is there any
log message about it, etc?

-- Additional comment from cb@lim.nl on 2007-01-03 13:56 EST --
The print job simply fails part way through, why I don't know.

Not a thing in /var/log/messages.

-- Additional comment from twaugh@redhat.com on 2007-01-03 16:18 EST --
I'd like you to try to reproduce the problem if possible, and to capture the
debug logging information while doing so.  Here's how (all commands as root):

Edit /etc/cups/cupsd.conf and change the 'LogLevel' line to read:

LogLevel debug2

Edit /etc/foomatic/filter.conf and add this line at the end:

debug: 1

Disable SELinux so that the foomatic log can be written:

/usr/sbin/setenforce 0

Stop CUPS:

/sbin/service cups stop

Clear out the error log file:

>/var/log/cups/error_log

Start CUPS:

/sbin/service cups start

Now try to provoke the problem again, and when the job has crashed and
(optionally) foomatic-rip has eaten all the memory, I'd like to see:

1. The /var/log/cups/error_log file (you might need to compress it like 'bzip2
-c /var/log/cups/error_log >/tmp/error_log.bz2' first)

2. The /tmp/foomatic-rip.log file

3. The /tmp/foomatic-rip.ps file

Thanks.

-- Additional comment from cb@lim.nl on 2007-01-03 18:26 EST --
Created an attachment (id=144751)
cups error log


-- Additional comment from cb@lim.nl on 2007-01-03 18:27 EST --
Created an attachment (id=144752)
foomatic-rip.ps


-- Additional comment from cb@lim.nl on 2007-01-03 18:31 EST --
Created an attachment (id=144754)
foomatic-rip.log


-- Additional comment from twaugh@redhat.com on 2007-01-04 11:00 EST --
Running this:

(gs '-dBATCH' '-dPARANOIDSAFER' '-dQUIET' '-dNOPAUSE' '-sDEVICE=lx5000'
'-r600x600' '-dBitsPerPixel=4' '-sOutputFile=/dev/fd/3' '/dev/fd/0' 3>&1 1>&2)
<foomatic-rip.ps > /dev/null

seems to get stuck in an endless write loop, which would indicate a problem
either in the PostScript or in the lx5000 driver.

PostScript *looks* fine, so cloning this for ghostscript.

Leaving this original bug report for 'why does foomatic-rip buffer it all?'.
Comment 1 Tim Waugh 2007-11-06 07:25:25 EST
Seems like it still happens in Fedora 8.
Comment 2 Bug Zapper 2008-04-04 01:29:12 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Tim Waugh 2008-08-04 09:35:16 EDT
Still happens with 8.63 (e.g. ghostscript-8.63-1.fc10).
Comment 4 Bug Zapper 2009-06-09 18:23:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Tim Waugh 2009-06-10 04:32:58 EDT
Still happens in Fedora 11.
Comment 6 Tim Waugh 2009-07-02 13:40:00 EDT
This has never worked in the lx5000 driver since it was introduced into the ghostscript SVN repository.
Comment 7 Bug Zapper 2010-04-27 07:41:26 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 06:23:54 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Tim Waugh 2010-06-28 06:55:37 EDT
Still happens with F-12.
Comment 10 Bug Zapper 2010-11-04 08:13:28 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-12-05 02:17:26 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.